<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li class="active"><i class="fa fa-users"></i> [[#{page.title.management.user}]]</li>
</ol>
<section th:fragment="content" class="content">
    <div class="row">
        <div class="col-md-12">
            <br />
            <form class="form-inline">
                <div class="form-group">
                    <label>[[#{label.username}]] : </label>
                    <input type="text" id="searchUsername" class="form-control" autofocus="true"/>
                </div>
                <button type="button" id="searchBtn" class="btn btn-primary"><i class="fa fa-search"></i> [[#{label.search}]]</button>
            </form>
            <br />
            <a class="btn btn-info" th:href="@{/admin/management/user/add}"><i class="fa fa-plus"></i> [[#{button.add}]]</a>
            <br />
            <br />
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">[[#{table.title.user.list}]]</h3>
                </div>
                <div class="box-body">
                    <table id="table" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="text-center">[[#{label.no.}]]</th>
                                <th>[[#{label.username}]]</th>
                                <th>[[#{label.employee.name}]]</th>
                                <th>[[#{label.email}]]</th>
                                <th class="text-center">[[#{label.action}]]</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
<div th:fragment="css" th:remove="tag">
    <link rel="stylesheet" th:href="@{/css/datatables.bootstrap.css}"/>
</div>
<div th:fragment="js" th:remove="tag">
    <script th:src="@{/js/jquery.datatables.js}"></script>
    <script th:src="@{/js/datatables.bootstrap.js}"></script>
    <script type="text/javascript" th:inline="javascript">
        /*<![CDATA[*/
        $(document).ready(function() {
            var csrf=/*[[${_csrf.token}]]*/'';
            var table=$('#table');

            var dataTable=table.DataTable({
                ajax:{
                    data:function(d){
                        d._csrf=csrf;
                        d.username=table.data('username')
                    },
                    type:'POST',
                    url:/*[[@{/admin/management/user/search}]]*/''
                },
                columnDefs: [
                    { targets: [0, 4], orderable: false, className:'text-center'},
                    { targets: [1, 2, 3], className:'text-left'}
                ],
                language:{
                    url:/*[[@{/js/i18n/datatables.{lang}.json/(lang=${lang})}]]*/''
                },
                processing:true,
                serverSide:true
            });
            dataTable.on('error.dt',function(e,settings,techNote,message){
                var swalTitle=/*[[#{swal.error.title}]]*/'';
                var swalMessage=/*[[#{swal.error.connection}]]*/'';
                swal(swalTitle,swalMessage,'error');
            });

            $('#searchBtn').click(function(){
                table.data('username', $('#searchUsername').val());
                dataTable.ajax.reload();
            });
        });
/*]]>*/
</script>
</div>

</html>
